> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# trace_replayTransaction on MegaETH

> trace_replayTransaction replays a mined transaction and returns the requested Parity-style traces on MegaETH, via GoldRush JSON-RPC.

> [card] 0.015 credits per call

`trace_replayTransaction` on **MegaETH**: Replays a mined transaction and returns the requested Parity-style traces.

> [!NOTE]
>
> `trace_replayTransaction` requires archive depth. See the [debug & trace matrix](https://goldrush.dev/docs/goldrush-json-rpc/debug-trace.md) for MegaETH archive coverage.

## Endpoint

```
https://rpc.goldrushdata.com/v1/megaeth-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `transactionHash` | `DATA, 32 bytes` | yes | Transaction hash. | `"0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"` |
| `traceTypes` | `Array<String>` | yes | Trace types to include. One or more of `trace`, `vmTrace`, `stateDiff`. | `["trace", "stateDiff"]` |

## Returns

`Object`: `{output, trace[], stateDiff?, vmTrace?}`

```json theme={null}
{"output":"0x","trace":[{"action":{"from":"0x...","to":"0x..."},"result":{"gasUsed":"0x5208"},"type":"call"}],"stateDiff":{}}
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/megaeth-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "trace_replayTransaction",
    "params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["trace", "stateDiff"]]
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/megaeth-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("trace_replayTransaction", ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["trace", "stateDiff"]]);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/megaeth-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "trace_replayTransaction",
  params: ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["trace", "stateDiff"]],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/megaeth-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "trace_replayTransaction",
  params: ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["trace", "stateDiff"]],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/megaeth-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("trace_replayTransaction", ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["trace", "stateDiff"]])
print(result)
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Debug and trace methods on MegaETH

* [`debug_traceTransaction` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/debug-tracetransaction)
* [`debug_traceCall` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/debug-tracecall)
* [`debug_traceBlockByHash` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/debug-traceblockbyhash)
* [`debug_traceBlockByNumber` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/debug-traceblockbynumber)
* [`trace_transaction` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/trace-transaction)

## Also available on

* [`trace_replayTransaction` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/trace-replaytransaction)
* [`trace_replayTransaction` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/trace-replaytransaction)
* [`trace_replayTransaction` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/trace-replaytransaction)
* [`trace_replayTransaction` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/trace-replaytransaction)
* [`trace_replayTransaction` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/trace-replaytransaction)
* [`trace_replayTransaction` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/trace-replaytransaction)
* [`trace_replayTransaction` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/trace-replaytransaction)
* [`trace_replayTransaction` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/trace-replaytransaction)
* [`trace_replayTransaction` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/trace-replaytransaction)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.